Subject: bug#59662: 29.0.50; [PATCH] Add treesit--indent-defun

From: Dmitry Gutov <[email-masked]>
Date: Thu, 8 Dec 2022 16:24:24 +0200

On 08/12/2022 09:16, Eli Zaretskii wrote:
> I'm okay with installing this on master, but please rename the new
> function to something like prog-fill-reindent; the "fill" part should
> appear in the name, to explain why we have both prog-indent and this
> function.

Sure.

prog-indent-sexp is fairly different, though, so it wouldn't be out of 
the question to have both commands, even if prog-reindent-defun didn't 
refill.

> Also, a NEWS entry and some addition to the "Multi-line Indent" node
> of the Emacs user manual would be nice.

I suppose.